commit:     789eeda52dd189206a7e15faf9e0eeb4a9897a00
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 20 21:51:58 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Dec 20 21:53:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=789eeda5

dev-libs/jsoncpp: Switch to meson

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/jsoncpp/jsoncpp-1.9.2-r2.ebuild | 42 ++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-libs/jsoncpp/jsoncpp-1.9.2-r2.ebuild 
b/dev-libs/jsoncpp/jsoncpp-1.9.2-r2.ebuild
new file mode 100644
index 00000000000..311eab1e812
--- /dev/null
+++ b/dev-libs/jsoncpp/jsoncpp-1.9.2-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
+
+inherit meson python-any-r1
+
+DESCRIPTION="C++ JSON reader and writer"
+HOMEPAGE="https://github.com/open-source-parsers/jsoncpp";
+SRC_URI="https://github.com/open-source-parsers/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( public-domain MIT )"
+SLOT="0/22"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       ${PYTHON_DEPS}
+       doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+src_configure() {
+       local emesonargs=(
+               # Follow Debian, Ubuntu, Arch convention for headers location
+               # bug #452234
+               --includedir include/jsoncpp
+       )
+       meson_src_configure
+}
+
+src_compile() {
+       meson_src_compile
+
+       if use doc; then
+               cp "${BUILD_DIR}"/version . || die
+               "${EPYTHON}" doxybuild.py 
--doxygen="${EPREFIX}"/usr/bin/doxygen || die
+               HTML_DOCS=( dist/doxygen/jsoncpp*/. )
+       fi
+}

Reply via email to